import type { TriggerOptions } from './createDomEvent';
import { DomEventNameWithModifier } from './constants/dom-events';
export default class BaseWrapper<ElementType extends Element> {
    private readonly wrapperElement;
    get element(): ElementType;
    constructor(element: ElementType);
    classes(): string[];
    classes(className: string): boolean;
    attributes(): {
        [key: string]: string;
    };
    attributes(key: string): string;
    text(): string;
    exists(): boolean;
    protected isDisabled: () => boolean;
    trigger(eventString: DomEventNameWithModifier, options?: TriggerOptions): Promise<void>;
    trigger(eventString: string, options?: TriggerOptions): Promise<void>;
}
