import { DomEventName } from './constants/dom-event-types';
declare const keyCodesByKeyName: {
    readonly backspace: 8;
    readonly tab: 9;
    readonly enter: 13;
    readonly esc: 27;
    readonly space: 32;
    readonly pageup: 33;
    readonly pagedown: 34;
    readonly end: 35;
    readonly home: 36;
    readonly left: 37;
    readonly up: 38;
    readonly right: 39;
    readonly down: 40;
    readonly insert: 45;
    readonly delete: 46;
};
declare type KeyName = keyof typeof keyCodesByKeyName;
interface TriggerOptions {
    code?: String;
    key?: String;
    keyCode?: Number;
    [custom: string]: any;
}
declare function createDOMEvent(eventString: DomEventName | string, options?: TriggerOptions): Event & TriggerOptions;
export { TriggerOptions, createDOMEvent, keyCodesByKeyName, KeyName };
